import { html as h } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as a } from "./PieIconComponent.js";
import { safeCustomElement as d } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, v = Object.getOwnPropertyDescriptor, l = (i, t, c, o) => {
  for (var e = o > 1 ? void 0 : o ? v(t, c) : t, s = i.length - 1, p; s >= 0; s--)
    (p = i[s]) && (e = (o ? p(t, c, e) : p(e)) || e);
  return o && e && f(t, c, e), e;
};
let r = class extends a {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--clockAdd", this.class = "c-pieIcon c-pieIcon--clockAdd", this.name = "IconClockAdd";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--clockAdd"><path d="M10.012 10.905 7.064 9.137V5.095h1.312v3.299l2.31 1.391-.674 1.12Z"></path><path d="M8 1.219A6.79 6.79 0 0 0 1.219 8c.002.497.057.993.166 1.479H2.75A5.469 5.469 0 1 1 8 13.469a6.607 6.607 0 0 1-.726-.053h-.28v1.287c.333.048.67.074 1.006.078A6.781 6.781 0 1 0 8 1.22Z"></path><path d="m7.65 10.791-1.969.018V8.823H4.37v1.968H2.4v1.313l1.969-.018v1.986H5.68v-1.968H7.65V10.79Z"></path></svg>`;
  }
};
l([
  n({ type: String, reflect: !0 })
], r.prototype, "size", 2);
l([
  n({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = l([
  d("icon-clock-add")
], r);
export {
  r as IconClockAdd
};
